#include <qstring.h>

#include "HttpTransactor.h"

void HttpTransactor::data(const QByteArray &data, QNetworkOperation *op)
{
      QCString _data( data, data.size()+1 ); // null-terminate it
      _reply += _data;
}

void HttpTransactor::finished(QNetworkOperation *op)
{
      emit finished(*op, *this);
}

bool HttpTransactor::start(const QString &url)
{
      _reply = "";
      _operator = url;
      return _operator.get();
}

HttpTransactor::HttpTransactor()
{
      connect(&_operator, SIGNAL(finished(QNetworkOperation *)), 
	      this, SLOT(finished(QNetworkOperation *)));
      connect(&_operator, SIGNAL(data(const QByteArray &, QNetworkOperation *)), 
	      this, SLOT(data(const QByteArray &, QNetworkOperation *)));

}
